Subject: compost tumbler?

From: [email-masked] (Laura Cuzzillo)
Date: Mon, 13 Mar 1995 22:01:56 GMT

I received some sales material for a drum like composter, and
I'm wondering if anyone out there has any experience with
this device.  You turn the "heap" by rotating the drum with a
crank, so you don't need the space you do with other compact
compost systems.  It sounds like a great idea, but it seems a little
pricey at $300 for the small model.

If you have one, or know someone who does, I'd love to know how
you like it.  Is it worth the $$??

Laura Cuzzillo
[email-masked]

---

From: Deb Simpson <[email-masked]>
Date: 14 Mar 1995 15:52:24 GMT

Three hundred dollars is a bit much to pay for something you can make for
free.  I've also rec'd those brochures, and it looks like it would be
easier with this device, but hey, it's still just dirt --excellent dirt--
but still dirt.  I continue to maintain my own heap of wire mesh with
frequent 'stirrings' and lots of kitchen wastes in little bitty pieces.

---

From: [email-masked] (Sylvan Ruud)
Date: Tue, 14 Mar 1995 21:41:26 -0700

In article <[email-masked]>, [email-masked] (Laura 
Cuzzillo) writes:
 
> I'm wondering if anyone out there has any experience with this 
> device.  You turn the "heap" by rotating the drum with a crank, so 
> you don't need the space you do with other compact compost systems.  
> It sounds like a great idea, but it seems a little pricey at $300 for 
> the small model. 
>  
> If you have one, or know someone who does, I'd love to know how you 
> like it.  Is it worth the $$?? 

I got one from Age Old Organics, in Boulder, Colorado.  Sorry, don't have the 
number here.  However, the price was MUCH cheaper than what you are stating, 
and for a 55 gallon drum (I seem to recall a price of about $100 US). I have 
been very happy with mine, although because of the weight, you can really only 
get it about half full before dumping it to a holding area (or your garden!). 
It makes the composting time quite a bit shorter due to the excellent mixing 
you are able to do.

--
-sylvan